package cache

import (
	. "code.hoteas.com/golang/hotime/common"
)

type CacheIns interface {
	//set(key string, value interface{}, time int64)
	//get(key string) interface{}
	//delete(key string)
	GetError() *Error
	SetError(err *Error)
	Cache(key string, data ...interface{}) *Obj
}

//单条缓存数据
type cacheData struct {
	time int64
	data interface{}
}
